Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.validation
Class ValidationManager

    java.lang.Object
      weblogic.apache.xerces.impl.validation.ValidationManager

Deprecated. please use JDK supplied XML parsers and transformers

public class ValidationManager
extends Object

ValidationManager is a coordinator property for validators in the pipeline. Each validator must know how to interact with this property. Validators are not required to know what kind of other validators present in the pipeline, but should understand that there are others and that some coordination is required.

Field Summary
`protected boolean` | `fCachedDTD` Deprecated.
`protected boolean` | `fGrammarFound` Deprecated.
`protected Vector` | `fVSs` Deprecated.

Constructor Summary
`ValidationManager()` Deprecated.

Method Summary
`void` | `addValidationState(ValidationState vs)` Deprecated. Each validator should call this method to add its ValidationState into the validation manager.
`boolean` | `isCachedDTD()` Deprecated.
`boolean` | `isGrammarFound()` Deprecated.
`void` | `reset()` Deprecated.
`void` | `setCachedDTD(boolean cachedDTD)` Deprecated.
`void` | `setEntityState(EntityState state)` Deprecated. Set the information required to validate entity values.
`void` | `setGrammarFound(boolean grammar)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fCachedDTD

    protected boolean fCachedDTD

  Deprecated.

### fGrammarFound

    protected boolean fGrammarFound

  Deprecated.

### fVSs

    protected final Vector fVSs

  Deprecated.

Constructor Detail

### ValidationManager

    public ValidationManager()

  Deprecated.

Method Detail

### addValidationState

    public void addValidationState(ValidationState vs)

  Deprecated.
  Each validator should call this method to add its ValidationState into the validation manager.

### isCachedDTD

    public boolean isCachedDTD()

  Deprecated.

### isGrammarFound

    public boolean isGrammarFound()

  Deprecated.

### reset

    public void reset()

  Deprecated.

### setCachedDTD

    public void setCachedDTD(boolean cachedDTD)

  Deprecated.

### setEntityState

    public void setEntityState(EntityState state)

  Deprecated.
  Set the information required to validate entity values.

### setGrammarFound

    public void setGrammarFound(boolean grammar)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD